Spigot ProtocolSupport 1.17.1-2

Adds 1.17-1.4.7 clients support to your spigot 1.17.1 server

  1. I downloaded that but it gave me the newest one I don't know why. every time I download it I keep getting the newest verison
     
  2. Download 4.22.1
     
  3. Yes
     
  4. Also my server will not start with the plugin on it.

    19.09 17:39:24 [Server] Startup Done (2.104s)! For help, type "help" or "?"
    19.09 17:39:24 [Multicraft] Server shut down (running)
    19.09 17:39:24 [Multicraft] Restarting crashed server in 5 seconds
    19.09 17:39:24 [Multicraft] Server stopped
     
  5. Just curious does this have any issues with tacospigot? I used to be running off a old version of paperspigot and viaversion used to kick players randomly out in groups. Im going to give it a go soon just thought id ask first?
     
  6. Is there anyway to disable action bar messages going to chat for 1.7 etc.?

    I use them for announcements but they spam 1.7 clients.
     
    • Agree Agree x 2
  7. Today I start the plugin without any other plugins and still no one can join and it says disconnected ....
     
  8. Theepwner

    Supporter

    Can anyone confirm if this supports the latest paper spigot 1.8.8 to allow 1.7 support?
     
  9. Yes, it works
     
  10. Add please auto-shields to 1.9-1.10 players! 1.8 players have blockhit!
     
  11. Theepwner

    Supporter

    Code (Text):
    [07:34:12] [Server thread/INFO]: Theepwner lost connection: Internal Exception: io.netty.handler.codec.EncoderException: java.lang.RuntimeException: An internal error occured.
    I'm getting weird disconnections when using 1.7 and ProtocolSupport v4.22.1 on the latest Paper-spigot 1.8.8. No one else getting stuff like this?
     
  12. now this plugin is working fine, i hope to not meet bugs in the walk.

    edit: still buggy with packets, i have go for viaversion.
     
    #656 Freelancer, Oct 1, 2016
    Last edited: Oct 3, 2016
    • Agree Agree x 1
  13. Can anyone help me?, my server is paper-spigot 1.8.8 and I've downloaded all the versions and tried them on my server. none work. they either disconnect the player straight away or the server doesn't start... I've tried setting the use natives thing to false but it still doesn't work. anyone got it working for 1.8.8 ?
     
  14. Where can I find the plugin for Spigot 1.8.8 and not 1.10.2?
     
  15. I have a lot of logs in ProtocolSupport-errlog

    Bug like this:

    Error occured at 2016-10-07-20-07
    Additional info: /xxx.xxxx.xxx.xxx:53842, MINECRAFT_1_8
    Exception class: java.io.IOException
    Exception message: Error while read(...): Connection reset by peer
    Exception log:
    java.io.IOException: Error while read(...): Connection reset by peer
    at io.netty.channel.epoll.Native.readAddress(Native Method)
    at io.netty.channel.epoll.EpollSocketChannel$EpollSocketUnsafe.doReadBytes(EpollSocketChannel.java:675)
    at io.netty.channel.epoll.EpollSocketChannel$EpollSocketUnsafe.epollInReady(EpollSocketChannel.java:714)
    at io.netty.channel.epoll.EpollEventLoop.processReady(EpollEventLoop.java:326)
    at io.netty.channel.epoll.EpollEventLoop.run(EpollEventLoop.java:264)
    at io.netty.util.concurrent.SingleThreadEventExecutor$2.run(SingleThreadEventExecutor.java:116)
    at java.lang.Thread.run(Thread.java:745)